// TODO: document members
export type Post = {
    // Required
    url : string,
    cover_img : string,
    cover_alt : string,
    title: string,
    summary : string,
    creation_date : number
    modification_date: number,

    // Optional
    // TODO: author?
}

export const posts : Post[] = [
    {
        url: 'git-bisecting',
        cover_img: '/images/posts/git-bisecting/thumbnail.png',
        cover_alt: 'Photo of a bug',
        title: 'Tracking down bugs in your code — using git bisect',
        summary: 'Track down which specific change introduced a bug using the binary search tool provided by git.',
        creation_date: 1709907213,
        modification_date: 1709907213,
    },
    {
        url: 'folder-icons',
        cover_img: '/images/posts/folder-icons/cover.png',
        cover_alt: 'Image of folder icons being used in the editor',
        title: 'Amazing Icons for Folders in Unity!',
        summary: 'See how you can use Zhen\'s folder icons for Unity to boost your developer experience',
        creation_date: 1708382491,
        modification_date: 1708382491,
    },
    {
        url: 'lorem',
        cover_img: '/images/posts/folder-icons/cover.png',
        cover_alt: 'Lorem ipsum dolor sit amet, qui minim labore adipisicing minim sint cillum sint consectetur cupidatat.',
        title: 'Lorem Ipsum !!',
        summary: 'This is a nice exploanation on lorem ipsum latin',
        creation_date: 1708382491,
        modification_date: 1708382491,
    },
    {
        url: 'lorem1',
        cover_img: '/images/posts/folder-icons/cover.png',
        cover_alt: 'Lorem ipsum dolor sit amet, qui minim labore adipisicing minim sint cillum sint consectetur cupidatat.',
        title: 'Idk some arcticle bruh!',
        summary: 'Lorem ipsum dolor sit amet, qui minim labore adipisicing minim sint cillum sint consectetur cupidatat.',
        creation_date: 1708558377,
        modification_date: 1708558377,
    },
];
